curl --request GET \
--url https://api.skulabs.com/order/get \
--header 'Authorization: Bearer <token>'[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"items": [
{}
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"scans": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"barcode_id": "<string>",
"item_id": "<string>",
"variant_id": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"skipped": true,
"out_of_stock": true,
"note": "<string>",
"quantity": 123,
"deducted": true,
"location_id": "<string>",
"line_id": "<string>"
}
],
"fulfillments": [
{
"_id": "507f1f77bcf86cd799439011",
"status": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}
],
"transactions": [
{
"_id": "507f1f77bcf86cd799439011",
"amount": 123,
"kind": "<string>",
"status": "<string>"
}
],
"returns": [
{
"_id": "507f1f77bcf86cd799439011",
"rma_number": "<string>",
"status": "<string>",
"items": [
{}
]
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"location": "<string>",
"batch_number": 123,
"channel_status": "<string>"
}
]Retrieve a paginated list of orders with optional filtering by status, store, tags, and date ranges. Maximum page size: 100 (Standard), 250 (Pro), 500 (Enterprise).
curl --request GET \
--url https://api.skulabs.com/order/get \
--header 'Authorization: Bearer <token>'[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"items": [
{}
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"scans": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"barcode_id": "<string>",
"item_id": "<string>",
"variant_id": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"skipped": true,
"out_of_stock": true,
"note": "<string>",
"quantity": 123,
"deducted": true,
"location_id": "<string>",
"line_id": "<string>"
}
],
"fulfillments": [
{
"_id": "507f1f77bcf86cd799439011",
"status": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}
],
"transactions": [
{
"_id": "507f1f77bcf86cd799439011",
"amount": 123,
"kind": "<string>",
"status": "<string>"
}
],
"returns": [
{
"_id": "507f1f77bcf86cd799439011",
"rma_number": "<string>",
"status": "<string>",
"items": [
{}
]
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"location": "<string>",
"batch_number": 123,
"channel_status": "<string>"
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query selector object for filtering results
Max results to return
50
Number of results to skip
0
Sort fields object, e.g. { "name": 1 }
Projection fields object, e.g. { "name": 1 }
Array of orders matching the query
Unique order identifier
"507f1f77bcf86cd799439011"
Store identifier
"507f1f77bcf86cd799439011"
Order number
Order status
unstarted, in_progress, shipped, cancelled, cleared, delayed, stopped, partially shipped, archived, awaiting fulfillment, pending, partially cleared Order type
manual, combined, split, combined_child, split_parent Cleared/scanned items array
Order log entries
Show child attributes
Scan records
Show child attributes
Fulfillment records
Show child attributes
Transaction records
Show child attributes
Returns
Show child attributes
Order notes
Show child attributes
Array of tag IDs (ObjectId strings referencing the tag collection)
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]Channel data stash
Show child attributes
Assigned location name
Batch number
Channel-reported status